### Method

# Shumate FileCache mark_up_to_date

#### Declaration [src]

    void
    shumate_file_cache_mark_up_to_date (
      ShumateFileCache* self,
      int x,
      int y,
      int zoom_level
    )

#### Description [src]

Marks a tile in the cache as being up to date, without changing its data.

For example, a network source might call this function when it gets an HTTP 304 Not Modified response.

#### Parameters

`x`

  Type: `int`

  The X coordinate of the tile.

`y`

  Type: `int`

  The Y coordinate of the tile.

`zoom_level`

  Type: `int`

  The zoom level of the tile.